Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZOption Class Reference

eZOption handles option set datatypes More...

## Public Member Functions
| __construct ( $name)
| setName ( $name)
| name ()
| addOption ( $valueArray)
| insertOption ( $valueArray, $beforeID)
| removeOptions ( $array_remove)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| decodeXML ( $xmlString)
| xmlString ()

## Public Attributes
| $Name
| Contains the Option name. More...
| $Options
| Contains the Options. More...
| $OptionCount
| Contains the option counter value. More...

## Detailed Description

eZOption handles option set datatypes

$option = new eZOption( "Colour" );
$option->addValue( "Red" );
$option->addValue( "Green" );
// Serialize the class to an XML document
$xmlString = $option->xmlString();
eZOption
eZOption handles option set datatypes
Definition: ezoption.php:29

Definition at line 28 of file ezoption.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZOption::__construct | ( |  | $name | ) |

Constructor

Parameters

  string | $name |

Definition at line 35 of file ezoption.php.

## Member Function Documentation

## ◆ addOption()

eZOption::addOption | ( |  | $valueArray | ) |

Adds an option

Definition at line 62 of file ezoption.php.

Referenced by decodeXML().

## ◆ attribute()

eZOption::attribute | ( |  | $name | ) |

Definition at line 105 of file ezoption.php.

References $Name, $Options, and eZDebug\writeError().

## ◆ attributes()

eZOption::attributes | ( |  | ) |

Definition at line 94 of file ezoption.php.

Referenced by hasAttribute().

## ◆ decodeXML()

eZOption::decodeXML | ( |  | $xmlString | ) |

Will decode an xml string and initialize the eZ option object

Definition at line 128 of file ezoption.php.

References addOption(), and setName().

## ◆ hasAttribute()

eZOption::hasAttribute | ( |  | $name | ) |

Definition at line 100 of file ezoption.php.

References attributes().

## ◆ insertOption()

eZOption::insertOption | ( |  | $valueArray,
|  |  | $beforeID
| ) |  |

Definition at line 74 of file ezoption.php.

## ◆ name()

eZOption::name | ( |  | ) |

Returns the name of the option set.

Definition at line 54 of file ezoption.php.

References $Name.

## ◆ removeOptions()

eZOption::removeOptions | ( |  | $array_remove | ) |

Definition at line 83 of file ezoption.php.

## ◆ setName()

eZOption::setName | ( |  | $name | ) |

Sets the name of the option

Definition at line 45 of file ezoption.php.

Referenced by decodeXML().

## ◆ xmlString()

eZOption::xmlString | ( |  | ) |

Will return the XML string for this option set.

Definition at line 158 of file ezoption.php.

## Member Data Documentation

## ◆ $Name

eZOption::$Name

Contains the Option name.

Definition at line 187 of file ezoption.php.

Referenced by attribute(), and name().

## ◆ $OptionCount

eZOption::$OptionCount

Contains the option counter value.

Definition at line 193 of file ezoption.php.

## ◆ $Options

eZOption::$Options

Contains the Options.

Definition at line 190 of file ezoption.php.

Referenced by attribute().

The documentation for this class was generated from the following file:

- ezoption.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.